From c8e5394d1f3842716c0491fda303830047362eb9 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Tue, 30 Jan 2018 19:58:27 +0100
Subject: [PATCH 4/4] Replace non-breaking space as attribute separator

Only space (0x20) is allowed as an attribute separator in XHTML,
using non-breaking space (0xA0) is not legal markup (it is fine
as whitespace inside markup elements however, just not separating
attributes in tags). Replace all significant whitespace with 0x20.
---
 templates/pages/about/press/presskit10/th.html | 82 +++++++++++++-------------
 1 file changed, 41 insertions(+), 41 deletions(-)

diff --git a/templates/pages/about/press/presskit10/th.html b/templates/pages/about/press/presskit10/th.html
index a48b276..0c8924e 100644
--- a/templates/pages/about/press/presskit10/th.html
+++ b/templates/pages/about/press/presskit10/th.html
@@ -55,8 +55,8 @@
 
 <p>&quot;ชุมชนนักพัฒนาของเรามุ่งเน้นที่การสร้างคุณสมบัติใหม่ที่สามารถ
   ใช้ประโยชน์จากการติดตั้งโครงสร้างอันทันสมัยเพื่อกระจายปริมาณข้อมูล,&quot;
-  Magnus Hagander, <a href="https://www.postgresql.org/developer/core/">> 
-  สมาชิกของ</a> ทีมหลักของ <a href="https://www.postgresql.org/">กล่าว &quot;คุณสมบัติอย่างเช่น
+  Magnus Hagander, <a href="https://www.postgresql.org/developer/core/"> 
+  สมาชิกของ</a> ทีมหลักของ <a href="https://www.postgresql.org/">กล่าว </a>&quot;คุณสมบัติอย่างเช่น
   การจำลองตรรกะ และการสอดคล้องของคำสืบค้นนั้น ใช้เวลาในการพัฒนาหลายปี
   แสดงให้เห็นถึงการทุ่มเทอย่างต่อเนื่องของชุมชนเพื่อให้มั่นใจได้ว่า Postgres
   ยังคงเป็นผู้นำในการตอบสนองต่อความต้องการทางด้านเทคโนโลยีอยู่เสมอ&quot;
@@ -78,7 +78,7 @@
   กับเวอร์ชั่น 10 เพราะเป็นจุดเริ่มต้นของแบ่งข้อมูลที่รอกันมานาน
   และการจำลองตรรกะที่ติดตั้งไว้ในตัว ยังทำให้เราสามารถใช้ PostgreSQL ในบริการอื่นๆ
   ได้มากขึ้นด้วย,&quot;  Vladimir Borodin หัวหน้าทีม DBA ที่
-  <a href="https://www.yandex.com/" target="_blank">Yandex</a>กล่าว</p>
+  <a href="https://www.yandex.com/" target="_blank">Yandex</a>กล่าว</p>
 
 <b>การแบ่งตารางที่เปิดเผย - ความสะดวกในการแบ่งข้อมูลของคุณ</b>
 
@@ -111,16 +111,16 @@
   เป็นไปได้อย่างต่อเนื่องแบบไม่มีสะดุด นี่ยังช่วยให้เราสามารถ
   ใช้งานและอัพเดทโครงสร้างฐานข้อมูลของเราโดยไม่ต้องเปิดวินโดว์บำรุงรักษา
   เป็นเวลานาน,&quot;  Curt Micol วิศวกรด้านโครงสร้างพนักงาน ที่
-  <a href="https://www.simple.com/" target="_blank">Simple Finance</a>กล่าว</p>
+  <a href="https://www.simple.com/" target="_blank">Simple Finance</a>กล่าว</p>
 
 <b>การพิสูจน์ตัวตน SCRAM-SHA-256 - รักษาความปลอดภัยในการเข้าถึงข้อมูลของคุณ</b>
 
 <p>The Salted Challenge Response Authentication Mechanism (SCRAM) ที่ระบุอยู่ใน
-  <a href="https://tools.ietf.org/html/rfc5802" target="_blank">RFC5802</a>
+  <a href="https://tools.ietf.org/html/rfc5802" target="_blank">RFC5802</a>
   หมายถึงโปรโตคอลที่พัฒนา เพื่อการเก็บข้อมูลความปลอดภัยและการส่งผ่าน
   รหัสผ่าน ด้วยการใช้กรอบการต่อรองรหัสผ่านที่เข้มแข็ง
   PostgreSQL 10 ได้สร้างเครื่องมือพิสูจน์ตัวตน SCRAM-SHA-256 ที่ระบุใน
-  <a href="https://tools.ietf.org/html/rfc7677" target="_blank">RFC7677</a> เพื่อ
+  <a href="https://tools.ietf.org/html/rfc7677" target="_blank">RFC7677</a> เพื่อ
   สร้างความปลอดภัยที่มากกว่าเครื่องมือพิสูจน์ตัวตนรหัสผ่าน MD5
   ที่มีอยู่</p>
 
@@ -130,35 +130,35 @@
 ต่อไปนี้:
 </p>
 <ul>
-  <li><a href="https://www.postgresql.org/docs/current/static/release-10.html">บันทึกข่าว</a></li>
-  <li><a href="https://wiki.postgresql.org/wiki/New_in_postgres_10">มีอะไรใหม่ใน 10</a></li>
-  <li><a href="/about/featurematrix">Feature matrix (English only)</a></li>
-  <li><a href="https://momjian.us/main/writings/pgsql/features.pdf">คุณสมบัติหลัก</a></li>
-  <li><a href="https://www.hagander.net/talks/PostgreSQL_10.pdf">คุณสมบัติหลัก(2)</a></li>
+  <li><a href="https://www.postgresql.org/docs/current/static/release-10.html">บันทึกข่าว</a></li>
+  <li><a href="https://wiki.postgresql.org/wiki/New_in_postgres_10">มีอะไรใหม่ใน 10</a></li>
+  <li><a href="/about/featurematrix">Feature matrix (English only)</a></li>
+  <li><a href="https://momjian.us/main/writings/pgsql/features.pdf">คุณสมบัติหลัก</a></li>
+  <li><a href="https://www.hagander.net/talks/PostgreSQL_10.pdf">คุณสมบัติหลัก(2)</a></li>
 </ul>
 
 <a name="download"></a><h2>ดาวน์โหลด</h2>
 <ul>
   <li><a href="/download/">หน้าดาวน์โหลด</a> ด้วยลิงค์สำหรับเครื่องมือและตัวติดตั้ง Windows, Linux, macOS,
     BSD และ Solaris</li>
-  <li><a href="/ftp/source/v10.0">Source Code</a></li>
-  <li><a href="https://hub.docker.com/_/postgres/">ภาพของ Postgres Docker</a></li>
-  <li><a href="http://pgxn.org">PostgreSQL Extension Network</a></li>
+  <li><a href="/ftp/source/v10.0">Source Code</a></li>
+  <li><a href="https://hub.docker.com/_/postgres/">ภาพของ Postgres Docker</a></li>
+  <li><a href="http://pgxn.org">PostgreSQL Extension Network</a></li>
 </ul>
 
 <a name="docs"></a><h2>เอกสาร</h2>
 
 <p>
 เอกสาร HTML และหน้าหลักได้รับการติดตั้งด้วย PostgreSQL อย่าเกรงใจที่จะ
-เปิดดูเอกสารออนไลน์ของเราที่ <a href="/docs/10/static/">เอกสาร
+เปิดดูเอกสารออนไลน์ของเราที่ <a href="/docs/10/static/">เอกสาร
   ออนไลน์</a>.
 </p>
 
 <a name="license"></a><h2>ใบอนุญาต</h2>
 <p>
-PostgreSQL ใช้<a href="/about/licence/">PostgreSQL License</a> ใบอนุญาตคล้าย BSD
+PostgreSQL ใช้<a href="/about/licence/">PostgreSQL License</a> ใบอนุญาตคล้าย BSD
 &quot;permissive&quot; 
-<a href="http://www.opensource.org/licenses/postgresql/">ใบอนุญาต OSI-certified
+<a href="http://www.opensource.org/licenses/postgresql/">ใบอนุญาต OSI-certified
 </a> ได้รับการยอมรับว่ายืดหยุ่น และเป็นมิตรต่อธุรกิจ เนื่องจากไม่
 เข้มงวดเรื่องการใช้ PostgreSQL กับแอปพลิเคชั่นด้านการค้าหรือสิทธิบัตร
 นอกจากการสนับสนุนระหว่างบริษัทและธุรกิจเอกชนต่อโค้ดดังกล่าวแล้ว
@@ -167,26 +167,26 @@ PostgreSQL ใช้<a href="/about/licence/">PostgreSQL License</a> ใบ
 เงื่อนไขของการให้ใบอนุญาต
 </p>
 
-<a name ="contact"></a><h2>การติดต่อ</h2>
+<a name="contact"></a><h2>การติดต่อ</h2>
 
 <p>หน้าเว็บ</p>
 <ul>
-<li><a href="https://www.postgresql.org/">หน้าแรกของ PostgreSQL</a></li>
+<li><a href="https://www.postgresql.org/">หน้าแรกของ PostgreSQL</a></li>
 </ul>
 
 <p>การสืบค้นสื่อภาษาอังกฤษ</p>
 
 <p>สหรัฐอเมริกา แคนาดา และการสืบค้นทั่วไป<br />
 ทีมสื่อของ PostgreSQL<br />
-<a href="mailto:press@postgresql.org">press@postgresql.org</a><br />
+<a href="mailto:press@postgresql.org">press@postgresql.org</a><br />
 โทร: +1 (347) 674-7759</p>
 
 <p>Thailand<br />
 Lilly Rangsikriangkrai <br />
-<a href="mailto:th@postgresql.org">th@postgresql.org</a><br />
+<a href="mailto:th@postgresql.org">th@postgresql.org</a><br />
 +66 2-207-2602</p>
 
-<p>สำหรับการติดต่อในภูมิภาคอื่น ดูที่ <a href="/about/press/contact/">
+<p>สำหรับการติดต่อในภูมิภาคอื่น ดูที่ <a href="/about/press/contact/">
   รายการผู้ติดต่อรำหว่างประเทศของเรา</a></p>
 
 <a name="graphics"></a><h2>ภาพและโลโก้</h2>
@@ -194,9 +194,9 @@ Lilly Rangsikriangkrai <br />
 <img src="https://www.postgresql.org/media/img/about/press/elephant64.png" >
 
 <ul>
-<li><a href="https://www.postgresql.org/media/img/about/press/elephant.png">PostgreSQL Elephant Logo, PNG format</a></li>
-<li><a href="https://www.postgresql.org/media/img/about/press/elephant64.png">PostgreSQL Elephant Icon</a></li>
-<li><a href="https://www.postgresql.org/media/img/about/press/slonik_with_black_text_and_tagline.gif">PostgreSQL Banner with Logo, Elephant and Slogan</a></li>
+<li><a href="https://www.postgresql.org/media/img/about/press/elephant.png">PostgreSQL Elephant Logo, PNG format</a></li>
+<li><a href="https://www.postgresql.org/media/img/about/press/elephant64.png">PostgreSQL Elephant Icon</a></li>
+<li><a href="https://www.postgresql.org/media/img/about/press/slonik_with_black_text_and_tagline.gif">PostgreSQL Banner with Logo, Elephant and Slogan</a></li>
 </ul>
 <p>
 การดัดแปลง แจกจ่าย ทุกโลโก้ อยู่ภายใต้ใบอนุญาตของ PostgreSQL
@@ -213,14 +213,14 @@ PostgreSQL คือฐานข้อมูลโอเพ่นซอร์
 จุดเด่นหลักของ PostgreSQL ไม่เพียงแต่มีระบบฐานข้อมูลที่สุดยอดที่สุดเท่านั้น
 แต่ยังมีการปฏิบัติการฐานข้อมูลที่ก้าวหน้า มีความสามารถในการขยายขีดความสามารถ
 การรักษาความปลอดภัย และการรักษาเสถียรภาพด้วย ศึกษาข้อมูลเพิ่มเติมเกี่ยวกับ PostgreSQL
-และมีส่วนร่วมกับชุมชนของเราได้ที่ <a href="https://www.postgresql.org">PostgreSQL.org</a>.
+และมีส่วนร่วมกับชุมชนของเราได้ที่ <a href="https://www.postgresql.org">PostgreSQL.org</a>.
 </p>
 
 <a name="quoted_companies"></a><h2>ข้อมูลบริษัทอ้างอิงและเนื้อหาอ้างอิงแบบเต็ม</h2>
 <p>&quot;ชุมชนนักพัฒนาของเรามุ่งเน้นที่การสร้างคุณสมบัติใหม่ที่สามารถ
   ใช้ประโยชน์จากการติดตั้งโครงสร้างอันทันสมัยเพื่อกระจายปริมาณข้อมูล,&quot;
-   Magnus Hagander,  <a href="https://www.postgresql.org/developer/core/">
-  สมาชิกของ</a> ทีมหลักของ <a href="https://www.postgresql.org/">
+   Magnus Hagander,  <a href="https://www.postgresql.org/developer/core/">
+  สมาชิกของ</a> ทีมหลักของ <a href="https://www.postgresql.org/">
   PostgreSQL Global Development Group</a>กล่าว &quot;คุณสมบัติอย่างเช่น
   การจำลองตรรกะและการสอดคล้องของคำสืบค้นนั้น ใช้เวลาในการพัฒนาหลายปี
   แสดงให้เห็นถึงการทุ่มเทอย่างต่อเนื่องของชุมชนเพื่อให้มั่นใจได้ว่า Postgres
@@ -233,24 +233,24 @@ PostgreSQL คือฐานข้อมูลโอเพ่นซอร์
 จุดเด่นหลักของ PostgreSQL ไม่เพียงแต่มีระบบฐานข้อมูลที่สุดยอดที่สุดเท่านั้น
 แต่ยังมีการปฏิบัติการฐานข้อมูลที่ก้าวหน้า มีความสามารถในการขยายขีดความสามารถ
 การรักษาความปลอดภัย และการรักษาเสถียรภาพด้วย ศึกษาข้อมูลเพิ่มเติมเกี่ยวกับ PostgreSQL 
-และมีส่วนร่วมกับชุมชนของเราได้ที่ <a href="https://www.postgresql.org">PostgreSQL.org</a>.
+และมีส่วนร่วมกับชุมชนของเราได้ที่ <a href="https://www.postgresql.org">PostgreSQL.org</a>.
 </p>
 <p>&quot;เราได้ใช้  PostgreSQL เยอะมากตั้งแต่ 9.3 และรู้สึกตื่นเต้นมาก
   กับเวอร์ชั่น 10 เพราะเป็นจุดเริ่มต้นของแบ่งข้อมูลที่รอกันมานาน
   และการจำลองตรรกะที่ติดตั้งไว้ในตัว ยังทำให้เราสามารถใช้ PostgreSQL  ในบริการอื่นๆ
   ได้มากขึ้นด้วย,&quot;  Vladimir Borodin หัวหน้าทีม DBA Team Lead ที่
-  <a href="https://www.yandex.com/" target="_blank">Yandex</a>กล่าว
+  <a href="https://www.yandex.com/" target="_blank">Yandex</a>กล่าว
 </p>
 <p>
-<a href="https://yandex.com/" target="_blank">Yandex</a> คือบริษัทเทคโนโลยี
+<a href="https://yandex.com/" target="_blank">Yandex</a> คือบริษัทเทคโนโลยี
 ซึ่งสร้างผลิตภัณฑ์และบริการอัจฉริยะซึ่งเกิดจากการศึกษาเรียนรู้เครื่องจักรกล เป้าหมายของ Yandex
 คือการนำทางให้ผู้บริโภคและธุรกิจก้าวไปในโลกออนไลน์และออฟไลน์
 นับตั้งแต่ปี 1997 Yandex ได้เปิดตัวการให้บริการข้อมูลและสืบค้นแบบเฉพาะในระดับเวิลด์คลาส
 นอกจากนี้ Yandex ยังได้พัฒนาบริการด้านการขนส่งตามความต้องการของตลาด
 ผลิตภัณฑ์ด้านการนำทาง และแอปพลิเคชั่นมือถือสำหรับ
 ผู้บริโภคหลายล้านคนทั่วโลก  ติดต่อ Yandex โปรดไปที่
-<a href="https://yandex.com/company/contacts/" target="_blank">
-  https://yandex.com/company/contacts/
+<a href="https://yandex.com/company/contacts/" target="_blank">
+  https://yandex.com/company/contacts/
 </a>
 </p>
 <p>&quot;การใช้ Quorum เพื่อการจำลองซิงโครไนซ์ใน  PostgreSQL 10 ได้เพิ่ม
@@ -258,30 +258,30 @@ PostgreSQL คือฐานข้อมูลโอเพ่นซอร์
   เป็นไปได้อย่างต่อเนื่องแบบไม่มีสะดุด นี่ยังช่วยให้เราสามารถ
   ใช้งานและอัพเดทโครงสร้างฐานข้อมูลของเราโดยไม่ต้องเปิดวินโดว์บำรุงรักษา
   เป็นเวลานาน,&quot;  Curt Micol วิศวกรด้านโครงสร้างพนักงาน ที่
-  <a href="https://www.simple.com/" target="_blank">Simple Finance</a>กล่าว</p>
-<p>ก่อตั้งในปี 2009 <a href="https://www.simple.com/" target="_blank">Simple</a>
+  <a href="https://www.simple.com/" target="_blank">Simple Finance</a>กล่าว</p>
+<p>ก่อตั้งในปี 2009 <a href="https://www.simple.com/" target="_blank">Simple</a>
   คือบริษัทเทคโนโลยีที่กำลังเปลี่ยนวิธีคิดเกี่ยวกับเงินและธนาคาร
   ผลิตภัณฑ์ของ Simple หลอมรวมเรื่องของทุนและการธนาคารไว้ใน
   แอปพลิเคชั่นอันสุดยอดเพียงหนึ่งเดียว ด้วยเครื่องมือที่ช่วยให้ผู้คนสามารถเก็บออมเพื่อสิ่งที่ต้องการ
   และจ่ายเงินให้กับสิ่งที่ต้องการอย่างมีความรับผิดชอบ ติดต่อ
-  <a href="https://www.simple.com/" target="_blank">Simple</a> ที่
-  <a href="mailto:press@simple.com">press@simple.com</a>
+  <a href="https://www.simple.com/" target="_blank">Simple</a> ที่
+  <a href="mailto:press@simple.com">press@simple.com</a>
 </p>
 
 <a name="companies"></a><h2>Corporate Support</h2>
 
 <p>PostgreSQL สนุกกับการสนับสนุนบริษัทจำนวนมาก ซึ่งให้สปอนเซอร์นักพัฒนา
   จัดหาทรัพยากรสำหรับเครือข่าย และสนับสนุนด้านการเงิน ดู
-  <a href="/about/sponsors/">หน้าสปอนเซอร์</a> สำหรับ
+  <a href="/about/sponsors/">หน้าสปอนเซอร์</a> สำหรับ
   ผู้สนับสนุนโครงการเหล่านี้</p>
 
 <p>ยังมีชุมชนขนาดใหญ่ของ
-  <a href="/support/professional_support/">บริษัทที่ให้การสนับสนุน PostgreSQL
+  <a href="/support/professional_support/">บริษัทที่ให้การสนับสนุน PostgreSQL
   </a> ตั้งแต่ที่ปรึกษาส่วนบุคคลไปจนถึงบรรษัทข้ามชาติ</p>
 
-<p><a href="/about/donate/">การบริจาค</a>ยินดีรับ</p>
+<p><a href="/about/donate/">การบริจาค</a>ยินดีรับ</p>
 
 <p>หรือท่านอาจซื้อสินค้าเหล่านี้จาก
-  <a href="http://www.zazzle.com/postgresql">Zazzle PostgreSQL Store</a>
+  <a href="http://www.zazzle.com/postgresql">Zazzle PostgreSQL Store</a>
 </p>
 {% endblock %}
-- 
2.14.1.145.gb3622a4ee

